%define	major 2

Summary:	TellStick controlling library
Name:		telldus-core
Version:	2.1.2
Release:	1%{dist}
License:	LGPLv2.1+
Group:		System Environment/Libraries
URL:		http://developer.telldus.se
Source0:	http://download.telldus.se/TellStick/Software/telldus-core/%{name}-%{version}.tar.gz
Source1:	Doxyfile.in
Source2:	telldusd.service
Source3:	tdadmin.1
Source4:	tdtool.1
Source5:	telldusd.1
Patch0:		telldus-core-2.1.1-run-under-dedicated-user.diff
Patch1:		telldus-core-2.1.2_rc1-linkage_fix.diff
Patch2:		telldus-core-2.1.2-socket_dir.diff
Patch3:		0001-Only-create-the-socket-once.-If-we-fail-to-connect-i.patch
Patch4:		telldus-core-2.1.2-libftdi1.diff
BuildRequires:	libftdi-devel libusbx-devel libconfuse-devel systemd-devel cmake
Requires:	%{name}-libs >= %{version}-%{release}

%description
Telldus Core is the driver and tools for controlling a Telldus Technologies
TellStick. It does not containing any GUI tools which makes it suitable for
server use.
This package contains the tools.

%package 	libs
Summary:	Library for telldus-core
Group:		System/Libraries

%description 	libs
Telldus Core is the driver and tools for controlling a Telldus Technologies
TellStick. It does not containing any GUI tools which makes it suitable for
server use.
This package contains the library.

%package 	devel
Summary:	Development files for developing programs against telldus-core
Group:		Development/C
Requires:	%{name}-libs >= %{version}-%{release}

%description 	devel
Telldus Core is the driver and tools for controlling a Telldus Technologies
TellStick. It does not containing any GUI tools which makes it suitable for
server use.
This package contains development files for creating applications using
Telldus Core.

%prep

%setup -q 
%__cp %{SOURCE1} .
mkdir man
%__cp %{SOURCE3} man/
%__cp %{SOURCE4} man/
%__cp %{SOURCE5} man/
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p2
%patch4 -p1

perl -pi -e "s|/etc/udev/rules.d|%{_udevrulesdir}|g" tdadmin/CMakeLists.txt
perl -pi -e "s|%{_localstatedir}/state|%{_localstatedir}/lib/telldusd|g" service/CMakeLists.txt

%build
%cmake -DSCRIPT_PATH="%{_datadir}/telldus/scripts"
make

%install
make install DESTDIR=%{buildroot}

install -d %{buildroot}%{_unitdir}
install -m0644 %{SOURCE2} %{buildroot}%{_unitdir}/telldusd.service

install -d %{buildroot}%{_datadir}/telldus/scripts
for i in controllerevent devicechangeevent deviceevent rawdeviceevent sensorevent; do
cat > %{buildroot}%{_datadir}/telldus/scripts/$i << EOF
#!/bin/sh
# add something interesting to do for the $i trigger here
EOF
done

install -d %{buildroot}%{_localstatedir}/lib/telldusd

install -d %{buildroot}%{_mandir}/man1
install man/*.1 %{buildroot}%{_mandir}/man1/

%pre
getent group telldusd >/dev/null || groupadd -r telldusd
getent passwd telldusd >/dev/null || useradd -r -g telldusd -d %{_localstatedir}/lib/telldusd -s /sbin/nologin -c "Telldus Daemon" telldusd

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%doc AUTHORS README
%attr(0640,telldusd,telldusd) %config(noreplace) %{_sysconfdir}/tellstick.conf
%{_udevrulesdir}/05-tellstick.rules
%{_unitdir}/telldusd.service
%{_bindir}/tdtool
%{_sbindir}/tdadmin
%{_sbindir}/telldusd
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/helpers/
%{_datadir}/%{name}/helpers/udev.sh
%dir %{_datadir}/telldus/scripts
%attr(0755,root,root) %config(noreplace) %{_datadir}/telldus/scripts/deviceevent
%attr(0755,root,root) %config(noreplace) %{_datadir}/telldus/scripts/devicechangeevent
%attr(0755,root,root) %config(noreplace) %{_datadir}/telldus/scripts/rawdeviceevent
%attr(0755,root,root) %config(noreplace) %{_datadir}/telldus/scripts/sensorevent
%attr(0755,root,root) %config(noreplace) %{_datadir}/telldus/scripts/controllerevent
%attr(0755,telldusd,telldusd) %dir %{_localstatedir}/lib/telldusd
%attr(0644,telldusd,telldusd) %config(noreplace) %{_localstatedir}/lib/telldusd/telldus-core.conf
%attr(0644,root,root) %{_mandir}/man1/*

%files libs
%{_libdir}/lib%{name}.so.%{major}*

%files devel
%{_includedir}/%{name}.h
%{_libdir}/*.so

%changelog
* Sun Oct 30 2016 Fredrik Fornstad <fredrik.fornstad@gmail.com> 2.1.2-1
- First build for ClearOS
